package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.bean.dto.CourseWeightDto;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 课程权重结果
 * @Author: CaoZixuan
 * @Date: 2024-03-07
 */
public class ObeCourseWeightResult {

    @ApiModelProperty("权重设置标记")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long weightSettingSign;

    @ApiModelProperty("知识点设置标记")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long dimensionSign;

    @ApiModelProperty("课程权重表单")
    private List<CourseWeightDto> submitForm;

    public Long getWeightSettingSign() {
        return weightSettingSign;
    }

    public void setWeightSettingSign(Long weightSettingSign) {
        this.weightSettingSign = weightSettingSign;
    }

    public Long getDimensionSign() {
        return dimensionSign;
    }

    public void setDimensionSign(Long dimensionSign) {
        this.dimensionSign = dimensionSign;
    }

    public List<CourseWeightDto> getSubmitForm() {
        return submitForm;
    }

    public void setSubmitForm(List<CourseWeightDto> submitForm) {
        this.submitForm = submitForm;
    }
}
